.geometry "version 0.1";
v1 = .free(-0.586957, -0.320652, "A");
v2 = .free(-0.0978261, 0.494565, "B");
v3 = .free(0.695652, -0.320652, "C");
l1 = .l.vv(v1, v2);
l2 = .l.vv(v2, v3);
l3 = .l.vv(v3, v1);
l4 = .l.vlperp(v2, l3, .red, .longline);
l5 = .l.vlperp(v3, l1, .red, .longline);
l6 = .l.vlperp(v1, l2, .red, .longline);
v4 = .v.ll(l1, l5, .red, "F");
v5 = .v.ll(l2, l6, .red, "E");
v6 = .v.ll(l3, l4, .red, "G");
v7 = .v.ll(l6, l4, .red, "H");
v8 = .v.vvmid(v7, v1, .green, "Q");
v9 = .v.vvmid(v7, v2, .green, "S");
v10 = .v.vvmid(v7, v3, .green, "R");
v11 = .v.vvmid(v1, v2, .yellow, "C'");
v12 = .v.vvmid(v2, v3, .yellow, "A'");
v13 = .v.vvmid(v3, v1, .yellow, "B'");
c1 = .c.vvv(v10, v9, v8, .magenta, .L0);
cc1 = .c.vvv(v10, v9, v8, .blink, .L4);
.text("The Nine Point Circle:", .L0);
.text("", .L0);
.text("Given an arbitrary triangle ABC, the feet of the altitudes", .L0);
.text("(E, F,and G), the midpoints of the sides (A', B', and C'),", .L0);
.text("and the midpoints Q, R, and S between the intersection", .L0);
.text("of the altitudes and the vertices of the triangle all lie on", .L0);
.text("the same circle.  Move points A, B, and C to try different", .L0);
.text("triangles.", .L0);
l7 = .l.vv(v11, v12, .blink, .L1, .L2, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
l8 = .l.vv(v8, v10, .blink, .L1, .L2, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
l9 = .l.vv(v12, v10, .blink, .L2, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
l10 = .l.vv(v11, v8, .blink, .L2, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
ll7 = .l.vv(v11, v12, .blue, .L2, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
ll8 = .l.vv(v8, v10, .blue, .L2, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
ll9 = .l.vv(v12, v10, .blue, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
ll10 = .l.vv(v11, v8, .blue, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
.text("C'A' is parallel to AC since A' and C' divide the segments", .L1);
.text("AB and BC in half, making the triangles ABC and C'BA'", .L1);
.text("similar.", .L1);
.text("", .L1);
.text("Similarly, QR is parallel to AC since Q and", .L1);
.text("R bisect the segments AH and CH.", .L1);
.text("C'Q and A'R are parallel to BG since C' is the midpoint of AB and Q", .L2);
.text("is the midpoint of AH, etc.  Therefore they are parallel to each", .L2);
.text("other and perpendicular to C'A' and QR, since those segments are", .L2);
.text("parallel to AC (which is, by definition, perpendicular to its", .L2);
.text("altitude BG).  Therefore A'C'QR is a rectangle.", .L2);
l11 = .l.vv(v8, v12, .blink, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
l12 = .l.vv(v11, v10, .blink, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
v14 = .v.ll(l12, l11, .blink, .L3, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15, .plus, "N");
ll11 = .l.vv(v8, v12, .blue, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
ll12 = .l.vv(v11, v10, .blue, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15);
vv14 = .v.ll(l12, l11, .blue, .L4, .L5, .L6, .L7, .L8, .L9, .L10, .L11, .L12, .L13, .L14, .L15, .plus, "N");
.text("The point N at the center of the rectangle A'C'QR is thus equidistant", .L3);
.text("from A', C', Q, and R, so all those points lie on a circle", .L3);
.text("centered at N.  Since the construction of the rectangle could", .L3);
.text("have been made parallel to AB or BC in a similar way, all the green", .L3);
.text("and yellow points are equidistant from N and lie on the same circle.", .L3);
.text("Finally, every foot of an altitude lies on the same circle.  For", .L4);
.text("example, the point E in the triangle A'E'Q is a right angle, and A'Q", .L4);
.text("is a diameter of the circle.  Since E is a right angle, it must lie", .L4);
.text("on the circle with diameter A'Q.  QED.", .L4);
